Name:     mock-mageia-configs
Version:  6
Release:  %mkrel 1
Summary:  Extra configs for Mageia for Mock
Group:    System/Packaging
License:  MIT

# Mageia release mock config templates
Source0:  mageia-6-extrasect-mockcfg

# Cauldron mock config templates
Source100:  cauldron-extrasect-mockcfg

Requires: mock >= 1.3.2

BuildArch: noarch

%description
This package provides Mock configuration files to build packages
for extra repository sections (nonfree, tainted, etc.)


%prep
# Nothing to prepare

%build
# Nothing to build

%install
# Install the configs
mkdir -p %{buildroot}%{_sysconfdir}/mock

# Distribution architectures to generate configs for
DISTRO_ARCHES=(x86_64 i586 armv5tl armv7hl)

for DISTRO_ARCH in ${DISTRO_ARCHES[@]}; do
   ## Create the configuration files for various sections
   install %{S:0} -pm 0644 %{buildroot}%{_sysconfdir}/mock/mageia-6-${DISTRO_ARCH}-nonfree.cfg
   install %{S:0} -pm 0644 %{buildroot}%{_sysconfdir}/mock/mageia-6-${DISTRO_ARCH}-tainted.cfg

   install %{S:100} -pm 0644 %{buildroot}%{_sysconfdir}/mock/mageia-cauldron-${DISTRO_ARCH}-nonfree.cfg
   install %{S:100} -pm 0644 %{buildroot}%{_sysconfdir}/mock/mageia-cauldron-${DISTRO_ARCH}-tainted.cfg

   ## Fill in the correct values for the installed repo files
   sed -e "s/@DIST_ARCH@/${DISTRO_ARCH}/g" -i %{buildroot}%{_sysconfdir}/mock/*${DISTRO_ARCH}*.cfg

done

sed -e "s/@DIST_SECTION@/nonfree/g" \
    -e "s/@DIST_SECTION_NAME@/Nonfree/g" \
    -i %{buildroot}%{_sysconfdir}/mock/*-nonfree.cfg

sed -e "s/@DIST_SECTION@/tainted/g" \
    -e "s/@DIST_SECTION_NAME@/Tainted/g" \
    -i %{buildroot}%{_sysconfdir}/mock/*-tainted.cfg
    

%files
%defattr(0644, root, mock)
%config(noreplace) %{_sysconfdir}/mock/*.cfg



%changelog
* Fri Jul 07 2017 ngompa <ngompa> 6-1.mga6
+ Revision: 1109430
- Bump for Mageia 6 final

* Wed Mar 01 2017 ngompa <ngompa> 6-0.2.mga6
+ Revision: 1088333
- Add definition for %%distro_section macro to config files

* Tue Feb 21 2017 ngompa <ngompa> 6-0.1.mga6
+ Revision: 1087205
- imported package mock-mageia-configs

